unit Unit1;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls,
  WEBLib.ExtCtrls;

type
  TForm1 = class(TWebForm)
    WebImageControl1: TWebImageControl;
    WebButton1: TWebButton;
    WebMemo1: TWebMemo;
    procedure WebButton1Click(Sender: TObject);
    procedure WebImageControl1Loaded(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    resized: boolean;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}
uses
  WEBLib.WebTools;

procedure TForm1.WebButton1Click(Sender: TObject);
begin
  resized := false;
  webimagecontrol1.URL := 'biz.jpg';
end;

procedure TForm1.WebImageControl1Loaded(Sender: TObject);
begin
  webmemo1.Lines.Add('loaded');

  if not resized then
  begin
    resized := true;
    webimagecontrol1.URL := 'data:image/png;base64,' + GetBase64Image(webimagecontrol1.ElementHandle, 100,100);
  end;
end;

end.